org.apache.http.protocol

## Class SyncBasicHttpContext

- java.lang.Object
- - org.apache.http.protocol.BasicHttpContext
  - - org.apache.http.protocol.SyncBasicHttpContext

- All Implemented Interfaces:
    HttpContext

  Deprecated.
  (4.2) HttpContext instances may not be shared by multiple threads

      @Deprecated
      public class SyncBasicHttpContext
      extends BasicHttpContext

  Thread-safe extension of the `BasicHttpContext`.
  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from interface org.apache.http.protocol.HttpContext

      `RESERVED_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncBasicHttpContext()` Deprecated.
    `SyncBasicHttpContext(HttpContext parentContext)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Deprecated.
    `Object` | `getAttribute(String id)` Deprecated. Obtains attribute with the given name.
    `Object` | `removeAttribute(String id)` Deprecated. Removes attribute with the given name from the context.
    `void` | `setAttribute(String id, Object obj)` Deprecated. Sets value of the attribute with the given name.

    - ### Methods inherited from class org.apache.http.protocol.BasicHttpContext

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SyncBasicHttpContext

          public SyncBasicHttpContext(HttpContext parentContext)

      Deprecated.

    - #### SyncBasicHttpContext

          public SyncBasicHttpContext()

      Deprecated.
      Since:
        4.2

  - ### Method Detail

    - #### getAttribute

          public Object getAttribute(String id)

      Deprecated.
      Description copied from interface: `HttpContext`
      Obtains attribute with the given name.
      Specified by:
        `getAttribute` in interface `HttpContext`
      Overrides:
        `getAttribute` in class `BasicHttpContext`
      Parameters:
        `id` - the attribute name.
      Returns:
        attribute value, or `null` if not set.

    - #### setAttribute

          public void setAttribute(String id,
                          Object obj)

      Deprecated.
      Description copied from interface: `HttpContext`
      Sets value of the attribute with the given name.
      Specified by:
        `setAttribute` in interface `HttpContext`
      Overrides:
        `setAttribute` in class `BasicHttpContext`
      Parameters:
        `id` - the attribute name.
        `obj` - the attribute value.

    - #### removeAttribute

          public Object removeAttribute(String id)

      Deprecated.
      Description copied from interface: `HttpContext`
      Removes attribute with the given name from the context.
      Specified by:
        `removeAttribute` in interface `HttpContext`
      Overrides:
        `removeAttribute` in class `BasicHttpContext`
      Parameters:
        `id` - the attribute name.
      Returns:
        attribute value, or `null` if not set.

    - #### clear

          public void clear()

      Deprecated.
      Overrides:
        `clear` in class `BasicHttpContext`
      Since:
        4.2

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.